### Enumeration

# Gdk GLError

since: 4.0

#### Declaration

    error-domain Gdk.GLError

#### Description [src]

Error enumeration for `GdkGLContext`.

Available since: 4.0

#### Members

`GDK_GL_ERROR_NOT_AVAILABLE`

  OpenGL support is not available.

  - Value: `0`
  - Nickname: `not-available`
  - Available since: 4.0
`GDK_GL_ERROR_UNSUPPORTED_FORMAT`

  The requested visual format is not supported.

  - Value: `1`
  - Nickname: `unsupported-format`
  - Available since: 4.0
`GDK_GL_ERROR_UNSUPPORTED_PROFILE`

  The requested profile is not supported.

  - Value: `2`
  - Nickname: `unsupported-profile`
  - Available since: 4.0
`GDK_GL_ERROR_COMPILATION_FAILED`

  The shader compilation failed.

  - Value: `3`
  - Nickname: `compilation-failed`
  - Available since: 4.0
`GDK_GL_ERROR_LINK_FAILED`

  The shader linking failed.

  - Value: `4`
  - Nickname: `link-failed`
  - Available since: 4.0

#### Type functions

###### gdk_gl_error_quark

No description available.

since: 4.0